/** Customer Color Theme Definitions **/

body {
	--duebendorf-color-primary: #63a4df;
	--duebendorf-color-primary-light: #9fc6e9;
	--kirchgemeinde-color-primary: #63a4df;
	--kirchgemeinde-color-primary-light: #9fc6e9;
	--faellanden-color-primary: #e55353;
	--faellanden-color-primary-light: #f08b8b;
	--schwerzenbach-color-primary: #fdc652;
	--schwerzenbach-color-primary-light: #ffe29b;

	--border-radius: 0.25rem;
}

:is([data-main-region-id="1"], [data-main-region-id="2"]) {
	--region-color-primary: var(--duebendorf-color-primary);
	--region-color-primary-light: var(--duebendorf-color-primary-light);
}

[data-main-region-id="3"] {
	--region-color-primary: var(--faellanden-color-primary);
	--region-color-primary-light: var(--faellanden-color-primary-light);
}

[data-main-region-id="4"] {
	--region-color-primary: var(--schwerzenbach-color-primary);
	--region-color-primary-light: var(--schwerzenbach-color-primary-light);
}

[data-main-region-id] {
	--region-color-primary-100: color-mix(in srgb, var(--region-color-primary) 10%, transparent);
}


/** Components **/

.bem-genericButton--outline {
	border-radius: var(--border-radius);
}

[data-main-region-id] .bem-genericButton--outline {
	color: var(--region-color-primary);
	border-color: var(--region-color-primary);
}

[data-main-region-id]:hover .bem-layoutBlockArticleDefault__continueRead,
[data-main-region-id] .bem-genericButton--outline:hover {
	background-color: var(--region-color-primary-100);
}

.bem-top__search,
.bem-mainNavigationMobile__search,
.bem-mainNavigationMobile__searchNavItem {
	display: none;
}


/** Main Layout **/

.bem-main {
	position: relative;
	margin-top: 4rem;
	padding-left: 2rem;
	padding-right: 2rem;
}

.bem-header__hero::after {
	position: absolute;
	content: "";
	width: 100%;
	height: 130px;
	border-top: 8px solid var(--color-primary-500);
	background: linear-gradient(to bottom, var(--color-primary-300) 0px, transparent 100px);
}

.bem-layoutBlocks {
	column-gap: 2rem;
}

@media (min-width: 1024px) {
	.bem-layoutBlocks {
		column-gap: 4rem;
	}
}

/** Search Result Listings **/

[data-main-region-id] .bem-userCommandSearchListingTermine__cell:nth-child(n+2) {
	border-left: 4px solid var(--region-color-primary);
}

.bem-userCommandSearchListingTermine__spacer {
	display: none;
}

.bem-userCommandSearchListingTermine__cell {
	border-bottom: 1rem solid transparent;
}

.bem-userCommandSearchListingAgenda__cellTitle {
	padding-left: 0.5rem;
}

[data-main-region-id] .bem-userCommandSearchListingAgenda__cellTitle {
	border-left: 4px solid var(--region-color-primary);
}

.bem-userCommandSearchListingAgenda__cell {
	border-bottom: 0.3rem solid transparent;
}


/** Layout Blocks **/

.bem-layoutBlockArticleDefault__image,
.bem-layoutBlockEventDefault__item {
	box-shadow: 0 0 15px -5px rgba(0, 0, 0, 0.07);
}

.bem-layoutBlockArticleDefault__image:hover,
.bem-layoutBlockEventDefault__item:hover {
	box-shadow: 0 0 15px -5px rgba(0, 0, 0, 0.15);
}

.bem-layoutBlockEventDefault__titleAndTime {
	flex: 1 1 150px;
	margin-right: 1em;
}

.bem-layoutBlockEventDefault__place {
	flex: 0 0 auto;
	flex-shrink: 1;
}

.bem-layoutBlockEventDefault__item {
	border-radius: var(--border-radius);
	border-color: var(--color-neutral-light);
}

[data-main-region-id] .bem-layoutBlockEventDefault__date {
	border-right: 4px solid var(--region-color-primary);
}

[data-main-region-id] .bem-layoutBlockEventDefault__dateWeekDay {
	color: var(--region-color-primary-light);
}

.bem-layoutBlockArticleDefault__item {
	margin-bottom: 4rem;
}

.bem-layoutBlockArticleDefault__continueRead {
	font-size: 0.8rem;
}

[data-main-region-id] .bem-layoutBlockArticleDefault__image {
	border-bottom: 8px solid var(--region-color-primary);
}


/** Author box **/

.bem-author__box {
	background: none;
}

.bem-bibliographicInformation__content {
	font-size: 0.7em;
}


/** User overview **/

.bem-profileListItem {
	min-height: calc(1.5 * 6em + 0.5rem);
}

.bem-profileListItem__honorific {
	display: block;
}


/** Footer Customer Parish Logos **/

.customer-parishes__link {
	border-bottom-width: 4px;
	background: white;
	box-shadow: 0 0 15px -5px rgba(0, 0, 0, 0.07);
}
